### codeanticode.glgraphics

# Class GLTexturedPoint

- `java.lang.Object`
- - `codeanticode.glgraphics.GLTexturedPoint`

`public class GLTexturedPoint`
`extends java.lang.Object`

  ## Field Summary
  `float[]` | `ds`
  `float[]` | `dt`
  `float` | `dx`
  `float` | `dy`
  `int` | `ntex`
  `float[]` | `s`
  `float[]` | `t`
  `float` | `x`
  `float` | `y`

  ## Constructor Summary
  `GLTexturedPoint()`
  `GLTexturedPoint(XMLElement xml)`
  `GLTexturedPoint(float x, float y, float s, float t)`
  `GLTexturedPoint(int n)`

  ## Method Summary
  `void` | `genTexCoords(int w, int h)`
  `void` | `initTexCoordArrays(int n)`
  `void` | `scaleCoords(int w, int h)`
  `void` | `setAsUndefined()`
  `void` | `setTexCoords(int n, float s, float t)`
  `void` | `setTexCoordsDelta(int n, float ds, float dt)`

## Field Details

### ds

    public float[] ds

### dt

    public float[] dt

### dx

    public float dx

### dy

    public float dy

### ntex

    public int ntex

### s

    public float[] s

### t

    public float[] t

### x

    public float x

### y

    public float y

## Constructor Details

### GLTexturedPoint

    public GLTexturedPoint()

### GLTexturedPoint

    public GLTexturedPoint(XMLElement xml)

### GLTexturedPoint

    public GLTexturedPoint(float x,
                           float y,
                           float s,
                           float t)

### GLTexturedPoint

    public GLTexturedPoint(int n)

## Method Details

### genTexCoords

    public void genTexCoords(int w,
                             int h)

### initTexCoordArrays

    public void initTexCoordArrays(int n)

### scaleCoords

    public void scaleCoords(int w,
                            int h)

### setAsUndefined

    public void setAsUndefined()

### setTexCoords

    public void setTexCoords(int n,
                             float s,
                             float t)

### setTexCoordsDelta

    public void setTexCoordsDelta(int n,
                                  float ds,
                                  float dt)

processing library glgraphics by Andres Colubri. (c) 2008